[Win32utils-devel] PATCH: win32-open3 and ruby 1.8.3 compatibility

Daniel Berger djberg96 at gmail.com
Wed Oct 26 23:45:54 EDT 2005


Nathaniel Talbott wrote:

>On 10/26/05, Berger, Daniel <Daniel.Berger at qwest.com> wrote:
>
>  
>
>>Thanks Nathaniel.  I'm curious why they felt compelled to add an
>>rb_pid_t data type.  I suppose we'll have to do some preprocessor checks
>>in the extconf.rb file now, or create our own macro to deal with it.
>>    
>>
>
>I think there were discussions on ruby-core about it a while back,
>related to compatibility with other libraries, particularly (at the
>time) subversion. I don't totally understand what the deal was,
>though, and didn't follow it too close.
>
>Thanks,
>
>
>--
>Nathaniel Talbott
>
><:((><
>
>_______________________________________________
>win32utils-devel mailing list
>win32utils-devel at rubyforge.org
>http://rubyforge.org/mailman/listinfo/win32utils-devel
>
>  
>
It looks like we can use "have_type('rb_pid_t', 'ruby.h')" in extconf.rb.

And when I say "we", I mean all extension writers, everywhere.  What a pain.

I'll make the changes and get a release out this week.  Thanks again for 
the report.

- Dan


More information about the win32utils-devel mailing list